Get Metric Data

POST
/v1/analytics/metrics

Get data of a specific metric (aggregated)

Authorization

ApiKeyAuth
headerAuthorization<token>

Request Body

The available request filters and aggregations for fetching the metric data

application/json
  1. body
id*string
csidFilter?array<>
Items1 <= items
filters?array<>
aggregations?array<>
timezone*string

Response Body

The metric data

application/json
  1. response
data*
curl -X POST 'https://dev.dixa.io/v1/analytics/metrics' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "id": "closed_conversations",  "periodFilter": {    "value": {      "_type": "PreviousWeek"    },    "_type": "Preset"  },  "filters": [    {      "attribute": "channel",      "values": [        "email"      ]    }  ],  "aggregations": [    "Count"  ],  "timezone": "Europe/Copenhagen"}'
{
"data": {
"id": "closed_conversations",
"aggregates": [
{
"value": 42,
"measure": "Count",
"_type": "LongAggregateValue"
}
]
}
}